%define api_version 1.1
%define pkg_name geronimo-j2ee-deployment_%{api_version}_spec

Name:          geronimo-j2ee-deployment-1.1-api
Version:       1.1
Release:       %mkrel 1
Summary:       J2EE Deployment 1.1
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-deployment_1.1_spec-1.1
# tar czf geronimo-j2ee-deployment_1.1_spec-1.1-src-svn.tar.gz geronimo-j2ee-deployment_1.1_spec-1.1
Source0:       geronimo-j2ee-deployment_1.1_spec-1.1-src-svn.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo J2EE Deployment 1.1 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo J2EE Deployment 1.1.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-j2ee-deployment-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-j2ee-deployment-%{api_version}-api-%{version}.jar geronimo-j2ee-deployment-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-j2ee-deployment-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-j2ee-deployment-%{api_version}-api.pom geronimo-j2ee-deployment-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-j2ee-deployment-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-j2ee-deployment-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-j2ee-deployment-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-j2ee-deployment-1.1-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-j2ee-deployment-%{api_version}-api


%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 139107
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-j2ee-deployment-1.1-api

